package envoy.client.net;

import java.util.function.Consumer;

import envoy.data.Message;
import envoy.data.Message.MessageStatus;

import dev.kske.eventbus.EventBus;

/**
 * @author Kai S. K. Engelbart
 * @since Envoy Client v0.3-alpha
 */
public final class ReceivedMessageProcessor implements Consumer<Message> {

	@Override
	public void accept(Message message) {
		// Update status to RECEIVED
		if (message.getStatus() == MessageStatus.SENT) message.nextStatus();

		// Dispatch message
		EventBus.getInstance().dispatch(message);
	}
}
